﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">

            <a class="action" ng-click="goBack()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle}}
            </h1>
        </div>
        <div class="actions">
            <a jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" ng-if="Model.Balance>0" title="Take a payment" ui-sref='FamilyInvoicesOrTakePayment({userId:Model.UserId,type:"TakePayment",clubId:Model.ClubId})'>
                <i class="jbi-coins fg-black"></i>
            </a>
            <a ng-hide="MC.account.isPartner" jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" ng-if="Model.Balance>0" title="Invoice" ui-sref='FamilyInvoicesOrTakePayment({userId:Model.UserId,type:"Invoice",clubId:Model.ClubId})'>
                <i class="jbi-invoic fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Edit" ui-sref='ManageFamily({userId:Model.UserId, clubId:Model.ClubId})'>
                <i class="jbi-pencil fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Orders" ui-sref='FamilyOrders({userId:Model.UserId, clubId:Model.ClubId})'>
                <i class="jbi-orders fg-black"></i>
            </a>
            <a jb-tooltip class="action" data-toggle="tooltip" data-placement="bottom" title="Transactions" ui-sref='FamilyTransactions({userId:Model.UserId, clubId:Model.ClubId})'>
                <i class="jbi-transaction fg-black"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>


    <div class="margin-bottom20 transfer-overview text-center place-righ full-width">
        <div class="place-left one-fourth">
            <b>Total orders</b>
            <i ng-bind="Model.TotalOrders"></i>
        </div>
        <div class="place-left one-fourth">
            <b>Total payments</b>
            <i ng-bind="(Model.TotalPayments).formatCurrencyWithPenny(2)"></i>
        </div>
        <div class="place-left one-fourth">
            <b>Credit</b>
            <i ng-bind="(Model.Credit).formatCurrencyWithPenny(2)"></i>
        </div>
        <div class="place-left one-fourth" ng-class="{'fg-green': Model.Balance<0,'fg-red': Model.Balance > 0 }">
            <b>Balance</b>
            <i class="balance" ng-bind="(Model.Balance).formatCurrencyWithPenny(2)"></i>
        </div>
    </div>
    <div class="clearfix"></div>


    <div id="parents" ng-if="Model.HasParent">
        <fieldset>
            <legend>Parents</legend>
            <kendo-grid id="familyParents" options="parentsGridOptions"></kendo-grid>
        </fieldset>
    </div>
    <div id="participants" ng-if="Model.HasParticipant">
        <fieldset>
            <legend>Participants</legend>
            <kendo-grid id="familyParticipants" options="participantsGridOptions"></kendo-grid>
        </fieldset>
    </div>

    <div class="clearfix"></div>
</div>